# Uses of Class
org.apache.zookeeper.common.X509Exception.KeyManagerException

Packages that use X509Exception.KeyManagerException
Package
Description
org.apache.zookeeper.common
org.apache.zookeeper.server.auth

## Uses of X509Exception.KeyManagerException in org.apache.zookeeper.common

Methods in org.apache.zookeeper.common that throw X509Exception.KeyManagerException
Modifier and Type
Method
Description
`static X509KeyManager`
X509Util.`createKeyManager(String keyStoreLocation, String keyStorePassword, String keyStoreTypeProp)`
Creates a key manager by loading the key store from the given file of the given type, optionally decrypting it using the given password.
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForClient(ZKConfig config)`
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForServer(ZKConfig config)`

## Uses of X509Exception.KeyManagerException in org.apache.zookeeper.server.auth

Methods in org.apache.zookeeper.server.auth that throw X509Exception.KeyManagerException
Modifier and Type
Method
Description
`X509KeyManager`
X509AuthenticationProvider.`getKeyManager()`
Get the X509KeyManager implementation used for certificate management.